Package com.ocient.jdbc.proto

## Class PlanProtocol.OrderedAggOperator

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - com.ocient.jdbc.proto.PlanProtocol.OrderedAggOperator

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.OrderedAggOperatorOrBuilder`, `Serializable`

Enclosing class:
  PlanProtocol

    public static final class PlanProtocol.OrderedAggOperator
    extends com.google.protobuf.GeneratedMessageV3
    implements PlanProtocol.OrderedAggOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.OrderedAggOperator`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `PlanProtocol.OrderedAggOperator.Builder` Protobuf type `xg.db.sqlPlans.OrderedAggOperator`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `INPUTCOLS_FIELD_NUMBER`
`static int` `KEYS_FIELD_NUMBER`
`static int` `LEVEL_FIELD_NUMBER`
`static int` `OPS_FIELD_NUMBER`
`static int` `OUTPUTCOLS_FIELD_NUMBER`
`static int` `OUTPUTCOLSTYPES_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`static PlanProtocol.OrderedAggOperator` `getDefaultInstance()`
`PlanProtocol.OrderedAggOperator` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`String` `getInputCols​(int index)` The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`com.google.protobuf.ByteString` `getInputColsBytes​(int index)` The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`int` `getInputColsCount()` The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`com.google.protobuf.ProtocolStringList` `getInputColsList()` The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`String` `getKeys​(int index)` The GROUP BY columns - can't be empty
`com.google.protobuf.ByteString` `getKeysBytes​(int index)` The GROUP BY columns - can't be empty
`int` `getKeysCount()` The GROUP BY columns - can't be empty
`com.google.protobuf.ProtocolStringList` `getKeysList()` The GROUP BY columns - can't be empty
`PlanProtocol.GatherLevel` `getLevel()` `.xg.db.sqlPlans.GatherLevel level = 6;`
`int` `getLevelValue()` `.xg.db.sqlPlans.GatherLevel level = 6;`
`PlanProtocol.AggregationOperator.AggregationOp` `getOps​(int index)` The aggregation operations to perform
`int` `getOpsCount()` The aggregation operations to perform
`List<PlanProtocol.AggregationOperator.AggregationOp>` `getOpsList()` The aggregation operations to perform
`int` `getOpsValue​(int index)` The aggregation operations to perform
`List<Integer>` `getOpsValueList()` The aggregation operations to perform
`String` `getOutputCols​(int index)` The name to give to the columns created by each aggregation operation
`com.google.protobuf.ByteString` `getOutputColsBytes​(int index)` The name to give to the columns created by each aggregation operation
`int` `getOutputColsCount()` The name to give to the columns created by each aggregation operation
`com.google.protobuf.ProtocolStringList` `getOutputColsList()` The name to give to the columns created by each aggregation operation
`String` `getOutputColsTypes​(int index)` The types for the outputCols, in the same order
`com.google.protobuf.ByteString` `getOutputColsTypesBytes​(int index)` The types for the outputCols, in the same order
`int` `getOutputColsTypesCount()` The types for the outputCols, in the same order
`com.google.protobuf.ProtocolStringList` `getOutputColsTypesList()` The types for the outputCols, in the same order
`com.google.protobuf.Parser<PlanProtocol.OrderedAggOperator>` `getParserForType()`
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static PlanProtocol.OrderedAggOperator.Builder` `newBuilder()`
`static PlanProtocol.OrderedAggOperator.Builder` `newBuilder​(PlanProtocol.OrderedAggOperator prototype)`
`PlanProtocol.OrderedAggOperator.Builder` `newBuilderForType()`
`protected PlanProtocol.OrderedAggOperator.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static PlanProtocol.OrderedAggOperator` `parseDelimitedFrom​(InputStream input)`
`static PlanProtocol.OrderedAggOperator` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.OrderedAggOperator` `parseFrom​(byte[] data)`
`static PlanProtocol.OrderedAggOperator` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.OrderedAggOperator` `parseFrom​(com.google.protobuf.ByteString data)`
`static PlanProtocol.OrderedAggOperator` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.OrderedAggOperator` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static PlanProtocol.OrderedAggOperator` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.OrderedAggOperator` `parseFrom​(InputStream input)`
`static PlanProtocol.OrderedAggOperator` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.OrderedAggOperator` `parseFrom​(ByteBuffer data)`
`static PlanProtocol.OrderedAggOperator` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<PlanProtocol.OrderedAggOperator>` `parser()`
`PlanProtocol.OrderedAggOperator.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### KEYS_FIELD_NUMBER

    public static final int KEYS_FIELD_NUMBER

See Also:
  Constant Field Values

#### OPS_FIELD_NUMBER

    public static final int OPS_FIELD_NUMBER

See Also:
  Constant Field Values

#### INPUTCOLS_FIELD_NUMBER

    public static final int INPUTCOLS_FIELD_NUMBER

See Also:
  Constant Field Values

#### OUTPUTCOLS_FIELD_NUMBER

    public static final int OUTPUTCOLS_FIELD_NUMBER

See Also:
  Constant Field Values

#### OUTPUTCOLSTYPES_FIELD_NUMBER

    public static final int OUTPUTCOLSTYPES_FIELD_NUMBER

See Also:
  Constant Field Values

#### LEVEL_FIELD_NUMBER

    public static final int LEVEL_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getKeysList

    public com.google.protobuf.ProtocolStringList getKeysList()

    The GROUP BY columns - can't be empty

`repeated string keys = 1;`

Specified by:
  `getKeysList` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Returns:
  A list containing the keys.

#### getKeysCount

    public int getKeysCount()

    The GROUP BY columns - can't be empty

`repeated string keys = 1;`

Specified by:
  `getKeysCount` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Returns:
  The count of keys.

#### getKeys

    public String getKeys​(int index)

    The GROUP BY columns - can't be empty

`repeated string keys = 1;`

Specified by:
  `getKeys` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The keys at the given index.

#### getKeysBytes

    public com.google.protobuf.ByteString getKeysBytes​(int index)

    The GROUP BY columns - can't be empty

`repeated string keys = 1;`

Specified by:
  `getKeysBytes` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the keys at the given index.

#### getOpsList

    public List<PlanProtocol.AggregationOperator.AggregationOp> getOpsList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Specified by:
  `getOpsList` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Returns:
  A list containing the ops.

#### getOpsCount

    public int getOpsCount()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Specified by:
  `getOpsCount` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Returns:
  The count of ops.

#### getOps

    public PlanProtocol.AggregationOperator.AggregationOp getOps​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Specified by:
  `getOps` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The ops at the given index.

#### getOpsValueList

    public List<Integer> getOpsValueList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Specified by:
  `getOpsValueList` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Returns:
  A list containing the enum numeric values on the wire for ops.

#### getOpsValue

    public int getOpsValue​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Specified by:
  `getOpsValue` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The enum numeric value on the wire of ops at the given index.

#### getInputColsList

    public com.google.protobuf.ProtocolStringList getInputColsList()

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Specified by:
  `getInputColsList` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Returns:
  A list containing the inputCols.

#### getInputColsCount

    public int getInputColsCount()

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Specified by:
  `getInputColsCount` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Returns:
  The count of inputCols.

#### getInputCols

    public String getInputCols​(int index)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Specified by:
  `getInputCols` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The inputCols at the given index.

#### getInputColsBytes

    public com.google.protobuf.ByteString getInputColsBytes​(int index)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Specified by:
  `getInputColsBytes` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the inputCols at the given index.

#### getOutputColsList

    public com.google.protobuf.ProtocolStringList getOutputColsList()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Specified by:
  `getOutputColsList` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Returns:
  A list containing the outputCols.

#### getOutputColsCount

    public int getOutputColsCount()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Specified by:
  `getOutputColsCount` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Returns:
  The count of outputCols.

#### getOutputCols

    public String getOutputCols​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Specified by:
  `getOutputCols` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The outputCols at the given index.

#### getOutputColsBytes

    public com.google.protobuf.ByteString getOutputColsBytes​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Specified by:
  `getOutputColsBytes` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the outputCols at the given index.

#### getOutputColsTypesList

    public com.google.protobuf.ProtocolStringList getOutputColsTypesList()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Specified by:
  `getOutputColsTypesList` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Returns:
  A list containing the outputColsTypes.

#### getOutputColsTypesCount

    public int getOutputColsTypesCount()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Specified by:
  `getOutputColsTypesCount` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Returns:
  The count of outputColsTypes.

#### getOutputColsTypes

    public String getOutputColsTypes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Specified by:
  `getOutputColsTypes` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The outputColsTypes at the given index.

#### getOutputColsTypesBytes

    public com.google.protobuf.ByteString getOutputColsTypesBytes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Specified by:
  `getOutputColsTypesBytes` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the outputColsTypes at the given index.

#### getLevelValue

    public int getLevelValue()

`.xg.db.sqlPlans.GatherLevel level = 6;`

Specified by:
  `getLevelValue` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Returns:
  The enum numeric value on the wire for level.

#### getLevel

    public PlanProtocol.GatherLevel getLevel()

`.xg.db.sqlPlans.GatherLevel level = 6;`

Specified by:
  `getLevel` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`
Returns:
  The level.

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static PlanProtocol.OrderedAggOperator parseFrom​(ByteBuffer data)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.OrderedAggOperator parseFrom​(ByteBuffer data,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.OrderedAggOperator parseFrom​(com.google.protobuf.ByteString data)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.OrderedAggOperator parseFrom​(com.google.protobuf.ByteString data,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.OrderedAggOperator parseFrom​(byte[] data)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.OrderedAggOperator parseFrom​(byte[] data,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.OrderedAggOperator parseFrom​(InputStream input)
                                                     throws IOException

Throws:
  `IOException`

#### parseFrom

    public static PlanProtocol.OrderedAggOperator parseFrom​(InputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static PlanProtocol.OrderedAggOperator parseDelimitedFrom​(InputStream input)
                                                              throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static PlanProtocol.OrderedAggOperator parseDelimitedFrom​(InputStream input,
                                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                              throws IOException

Throws:
  `IOException`

#### parseFrom

    public static PlanProtocol.OrderedAggOperator parseFrom​(com.google.protobuf.CodedInputStream input)
                                                     throws IOException

Throws:
  `IOException`

#### parseFrom

    public static PlanProtocol.OrderedAggOperator parseFrom​(com.google.protobuf.CodedInputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public PlanProtocol.OrderedAggOperator.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static PlanProtocol.OrderedAggOperator.Builder newBuilder()

#### newBuilder

    public static PlanProtocol.OrderedAggOperator.Builder newBuilder​(PlanProtocol.OrderedAggOperator prototype)

#### toBuilder

    public PlanProtocol.OrderedAggOperator.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected PlanProtocol.OrderedAggOperator.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static PlanProtocol.OrderedAggOperator getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<PlanProtocol.OrderedAggOperator> parser()

#### getParserForType

    public com.google.protobuf.Parser<PlanProtocol.OrderedAggOperator> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public PlanProtocol.OrderedAggOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`